/*
 * @(#)ButtonBarDemo.java	1.00 98/08/28
 * 
 * Modification Log:
 *
 */

import java.awt.*;
import java.awt.event.*;

/**
 * Button bar demonstration class. 
 * Use this to demonstrate the TanButtonBar class.
 * Usage: java ButtonBarDemo Button1 Button2 ...
 *
 * You are free to use this code and to make modifications provided
 * this notice is retained.
 * <p>
 * If you found this useful, please add a note of acknowledgement to my guestbook,
 * or send me a mail at <a href="mailto:tanmaykm@hotmail.com">tanmaykm@hotmail.com</a>. 
 * If you would like to report a bug or suggest some improvements, 
 * you are most welcome. I will be happy to help you use this piece of code.
 * <p>
 *
 * @author 	    Tanmay K. Mohapatra
 * @version     1.00, 28th July, 1998
 */


public class ButtonBarDemo implements ActionListener
{
    static String []        buttonList;
    static Frame            disp;
    static TanButtonBar     bb;
    public static void main(String [] aArgs)
    {
        if (aArgs.length < 1)
        {
            System.out.println("Usage: java ButtonBarDemo Button1 Button2 ...");
            System.exit(0);
        }
        
        buttonList = new String[aArgs.length];

        for (int iIndex=0; iIndex<aArgs.length; iIndex++)
        {
            buttonList[iIndex] = new String(aArgs[iIndex]);
        }

        disp = new Frame();
        disp.setBackground(Color.lightGray);
        bb = new TanButtonBar();
        bb.setButtons(buttonList);
        bb.setBackground(Color.lightGray);
        disp.setLayout(new GridLayout(0,1));
        disp.add(bb);
        disp.setVisible(true);
        disp.pack();
        bb.requestFocus();
        bb.addActionListener(new ButtonBarDemo());
        while (true)
        {
            try
            {
                Thread.sleep(100000);
            }
            catch (InterruptedException ie)
            {
                // ignore
            }
        }
    }

    public void actionPerformed(ActionEvent ae)
    {
        System.out.println(ae);
    }
}



